oracle.kv

## Enum Depth

- java.lang.Object
- - java.lang.Enum<Depth>
  - - oracle.kv.Depth

- All Implemented Interfaces:
    Serializable, Comparable<Depth>

      public enum Depth
      extends Enum<Depth>

  Used with multiple-key and iterator operations to specify whether to select (return or operate on) the key-value pair for the parent key, and the key-value pairs for only immediate children or all descendants.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHILDREN_ONLY` Select only immediate children, do not select the parent.
    `DESCENDANTS_ONLY` Select all descendants, do not select the parent.
    `PARENT_AND_CHILDREN` Select immediate children and the parent.
    `PARENT_AND_DESCENDANTS` Select all descendants and the parent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Depth` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Depth[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHILDREN_ONLY

          public static final Depth CHILDREN_ONLY

      Select only immediate children, do not select the parent.

    - #### PARENT_AND_CHILDREN

          public static final Depth PARENT_AND_CHILDREN

      Select immediate children and the parent.

    - #### DESCENDANTS_ONLY

          public static final Depth DESCENDANTS_ONLY

      Select all descendants, do not select the parent.

    - #### PARENT_AND_DESCENDANTS

          public static final Depth PARENT_AND_DESCENDANTS

      Select all descendants and the parent.

  - ### Method Detail

    - #### values

          public static Depth[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Depth c : Depth.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Depth valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.